function goLive() 
{
  var news = document.getElementById('news');
  for(var elt = news.firstChild; elt; elt = elt.nextSibling)
    {
      if (elt.nodeName.toLowerCase() != 'ul') continue;
      if (elt.className != 'old') continue;

      var p = document.createElement('p');
      p.style.textAlign = "right";
      p.style.fontSize = "x-small";
      
      var a = document.createElement('a');
      a.appendChild(document.createTextNode("Mostrar novedades viejas"));
      a.onclick = toggle(a, elt);

      p.appendChild(a);
      news.insertBefore(p, elt);

      elt.style.display = 'none';
    }
}

function toggle(source, target) 
{
  var elt = target;
  var a = source;
  return function (ev) { 
    var shown = elt.style.display == 'block';
    elt.style.display = shown ? 'none' : 'block';
    a.replaceChild(
      document.createTextNode((shown ? "Mostrar" : "Ocultar") + " novedades viejas"),
      a.firstChild
      );
    }
}
 
